/**
 * copyright area
 */
package org.objectweb.speedo.pobjects.map;

import java.util.Map;
import java.util.HashMap;

public class Registry {

    public String name;

    public Map bindings;

    public Registry () {
    }

    public Registry (String name) {
        this.name = name;
        bindings = new HashMap();
    }

    public void bind (String name, Object value) {
        bindings.put(name, value);
    }

    public Object lookup (String name) {
        return bindings.get(name);
    }

    public boolean equals (Object o) {
        return (o instanceof Registry) && ((Registry) o).name.equals(name);
    }

    public int hashCode () {
        return name.hashCode();
    }
}
