/**
 * Copyright (C) 2001-2003 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.pobjects.userid;

/**
 *
 * @author S.Chassande-Barrioz
 */
public class UserId2 {
    public String id1;
    public long id2;

	public String f1 = null;
	public int f2 = 0;


	private UserId2(String f1, int f2) {
		this.f1 = f1;
		this.f2 = f2;
	}
	protected UserId2(String f1) {
		this.f1 = f1;
	}
	public UserId2() {
	}

	public String readF1() {
		return f1;
	}

	public void writeF1(String f1) {
		this.f1 = f1;
	}

	public int readF2() {
		return f2;
	}

	public void writeF2(int f2) {
		this.f2 = f2;
	}

	public String readF1_F2() {
		return f1 + f2;
	}

	public void writeF1() {
		f1 = "azerty";
	}

	public void writeF2() {
		f2 = 1;
	}

	public void writeF1_F2() {
		f1 = "qsdfgh";
		f2 = 2;
	}

	public void delegateWriteF1() {
		writeF1();
	}

}
