/**
 * copyright area
 */
package org.objectweb.speedo.runtime.map;

import org.objectweb.speedo.SpeedoTestHelper;
import org.objectweb.speedo.pobjects.map.Registry;
import org.objectweb.util.monolog.api.BasicLevel;

import javax.jdo.PersistenceManager;

public class TestMap extends SpeedoTestHelper {

    public TestMap(String s) {
        super(s);
    }

    protected String getLoggerName() {
        return LOG_NAME + ".rt.map.TestMap";
    }

    public void testCreation1() {
        logger.log(BasicLevel.DEBUG, "Start testCreation");
        logger.log(BasicLevel.DEBUG, "Create Employee");
        Registry r1 = new Registry("r1");
        Registry r2 = new Registry("r2");
        Registry r3 = new Registry("r3");
        r1.bind("a", r2);
        r1.bind("b", r3);

        PersistenceManager pm = pmf.getPersistenceManager();
        pm.makePersistent(r1);
        Object eId = pm.getObjectId(r1);
        assertNotNull("null object identifier", eId);
        pm.close();

        /*e1 = null;
        pm = pmf.getPersistenceManager();
        e1 = (Employee) pm.getObjectById(eId, true);
        assertNotNull("null instance returned by getObjectById", e1);
        assertEquals("Bad employee name", "e1", e1.name);
        assertNotNull("null instance returned by getObjectById", e1.boss);
        assertEquals("Bad boss name", "e2", e1.boss.name);
        pm.deletePersistent(e1.boss);
        pm.deletePersistent(e1);
        pm.close();*/
    }
}
