package com.easy.pfol.business.jdo;

import java.util.Comparator;

/**
 * Classe reprsentant un enregistrement de la table callDetail/FAFLRED
 * @jdo:persistent
 * @jdo:id application
 */
public class CarteSim {
    /** Attribut: active/fldszh. Accesseur/Mutateur */
    private String active;

    /** Attribut: changedByDiseUserId/flcmzj. Accesseur/Mutateur */
    private String changedByDiseUserId;

    /** Attribut: changedByProgram/flavzl. Accesseur/Mutateur */
    private String changedByProgram;

    /** Attribut: createdByDiseUserId/flckzj. Accesseur/Mutateur */
    private String createdByDiseUserId;

    /** Attribut: createdByProgram/flauzl. Accesseur/Mutateur */
    private String createdByProgram;

    /** Attribut: dateChanged/flekzb. Accesseur/Mutateur */
    private int dateChanged;

    /** Attribut: dateCreated/flejzb. Accesseur/Mutateur */
    private int dateCreated;

    /** Attribut: salespersonNumber/fld3za. Accesseur/Mutateur */
    private int salespersonNumber;

    /** Attribut: securityLevel/flhizc. Accesseur/Mutateur */
    private int securityLevel;

    /** Attribut: spareAlpha/flczzj. Accesseur/Mutateur */
    private String spareAlpha;

    /** Attribut: spareNumeric/flcfzk. Accesseur/Mutateur */
    private int spareNumeric;

    /** Attribut: spareStatus/fle7zh. Accesseur/Mutateur */
    private String spareStatus;

    /** Attribut: timeChanged/flawzi. Accesseur/Mutateur */
    private int timeChanged;

    /** Attribut: timeCreated/flavzi. Accesseur/Mutateur */
    private int timeCreated;

    /** Attribut: nsce/flaafj. Accesseur/Mutateur */
    private String nsce;

    /** Attribut: internalCardNoImsi/fldyze. Accesseur/Mutateur */
    private String internalCardNoImsi;

    /** Attribut: noNsc/flgbfa. Accesseur/Mutateur */
    private String noNsc;

    /** Attribut: clePuk1/flnafg. Accesseur/Mutateur */
    private String clePuk1;

    /** Attribut: clePin1/flnbfg. Accesseur/Mutateur */
    private String clePin1;

    /** Attribut: clePuk2/flncfg. Accesseur/Mutateur */
    private String clePuk2;

    /** Attribut: clePin2/flndfg. Accesseur/Mutateur */
    private String clePin2;

    /** Attribut: dateFabrication/flaify. Accesseur/Mutateur */
    private int dateFabrication;

    /** Attribut: origineDossier/flpffh. Accesseur/Mutateur */
    private String origineDossier;

    /** Attribut: noCga/flaafc. Accesseur/Mutateur */
    private int noCga;

    /** Attribut: dateEffet/flajfy. Accesseur/Mutateur */
    private int dateEffet;

    /** Attribut: affectation/flakfh. Accesseur/Mutateur */
    private String affectation;

    /** Attribut: typeDeCarte/flawfh. Accesseur/Mutateur */
    private String typeDeCarte;

    /** Attribut: noFichierTransmission/flisfc. Accesseur/Mutateur */
    private int noFichierTransmission;

    /** Attribut: noDeLotDeCarte/flb6fc. Accesseur/Mutateur */
    private int noDeLotDeCarte;

    /** Attribut: dateDernierChgtStatut/flb2fb. Accesseur/Mutateur */
    private int dateDernierChgtStatut;

    /** Attribut: zabpq/flpkfa. Accesseur/Mutateur */
    private String zabpq;

    /** Attribut: zabpqm/flpofa. Accesseur/Mutateur */
    private String zabpqm;

    /** Attribut: formatDeCarte/flopfh. Accesseur/Mutateur */
    private String formatDeCarte;

    /** Attribut: statutDeCarte/florfh. Accesseur/Mutateur */
    private String statutDeCarte;

    /** Attribut: dateAffectationCarte/flb3fb. Accesseur/Mutateur */
    private int dateAffectationCarte;
    private SnsnSubsNetServNumber snsnSubsNetServNumber;

    /** Commentaire relatif au constructeur DBcarteSim. */
    public CarteSim() {
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return <{String}>
     */
    public String getActive() {
        return active;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return <{String}>
     */
    public String getAffectation() {
        return affectation;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return <{String}>
     */
    public String getChangedByDiseUserId() {
        return changedByDiseUserId;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return <{String}>
     */
    public String getChangedByProgram() {
        return changedByProgram;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return <{String}>
     */
    public String getClePin1() {
        return clePin1;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return <{String}>
     */
    public String getClePin2() {
        return clePin2;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return <{String}>
     */
    public String getClePuk1() {
        return clePuk1;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return <{String}>
     */
    public String getClePuk2() {
        return clePuk2;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return <{String}>
     */
    public String getCreatedByDiseUserId() {
        return createdByDiseUserId;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return <{String}>
     */
    public String getCreatedByProgram() {
        return createdByProgram;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return int
     */
    public int getDateAffectationCarte() {
        return dateAffectationCarte;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return int
     */
    public int getDateChanged() {
        return dateChanged;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return int
     */
    public int getDateCreated() {
        return dateCreated;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return int
     */
    public int getDateDernierChgtStatut() {
        return dateDernierChgtStatut;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return int
     */
    public int getDateEffet() {
        return dateEffet;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return int
     */
    public int getDateFabrication() {
        return dateFabrication;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return <{String}>
     */
    public String getFormatDeCarte() {
        return formatDeCarte;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return <{String}>
     */
    public String getInternalCardNoImsi() {
        return internalCardNoImsi;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return int
     */
    public int getNoCga() {
        return noCga;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return int
     */
    public int getNoDeLotDeCarte() {
        return noDeLotDeCarte;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return int
     */
    public int getNoFichierTransmission() {
        return noFichierTransmission;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return <{String}>
     */
    public String getNoNsc() {
        return noNsc;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return <{String}>
     */
    public String getNsce() {
        return nsce;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return <{String}>
     */
    public String getOrigineDossier() {
        return origineDossier;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return int
     */
    public int getSalespersonNumber() {
        return salespersonNumber;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return int
     */
    public int getSecurityLevel() {
        return securityLevel;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return <{String}>
     */
    public String getSpareAlpha() {
        return spareAlpha;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return int
     */
    public int getSpareNumeric() {
        return spareNumeric;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return <{String}>
     */
    public String getSpareStatus() {
        return spareStatus;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return <{String}>
     */
    public String getStatutDeCarte() {
        return statutDeCarte;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return int
     */
    public int getTimeChanged() {
        return timeChanged;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return int
     */
    public int getTimeCreated() {
        return timeCreated;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return <{String}>
     */
    public String getTypeDeCarte() {
        return typeDeCarte;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return <{String}>
     */
    public String getZabpq() {
        return zabpq;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @return <{String}>
     */
    public String getZabpqm() {
        return zabpqm;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newActive java.lang.String
     */
    public void setActive(String newActive) {
        active = newActive;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newAffectation java.lang.String
     */
    public void setAffectation(String newAffectation) {
        affectation = newAffectation;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newChangedByDiseUserId java.lang.String
     */
    public void setChangedByDiseUserId(String newChangedByDiseUserId) {
        changedByDiseUserId = newChangedByDiseUserId;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newChangedByProgram java.lang.String
     */
    public void setChangedByProgram(String newChangedByProgram) {
        changedByProgram = newChangedByProgram;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newClePin1 java.lang.String
     */
    public void setClePin1(String newClePin1) {
        clePin1 = newClePin1;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newClePin2 java.lang.String
     */
    public void setClePin2(String newClePin2) {
        clePin2 = newClePin2;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newClePuk1 java.lang.String
     */
    public void setClePuk1(String newClePuk1) {
        clePuk1 = newClePuk1;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newClePuk2 java.lang.String
     */
    public void setClePuk2(String newClePuk2) {
        clePuk2 = newClePuk2;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newCreatedByDiseUserId java.lang.String
     */
    public void setCreatedByDiseUserId(String newCreatedByDiseUserId) {
        createdByDiseUserId = newCreatedByDiseUserId;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newCreatedByProgram java.lang.String
     */
    public void setCreatedByProgram(String newCreatedByProgram) {
        createdByProgram = newCreatedByProgram;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newDateAffectationCarte int
     */
    public void setDateAffectationCarte(int newDateAffectationCarte) {
        dateAffectationCarte = newDateAffectationCarte;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newDateChanged int
     */
    public void setDateChanged(int newDateChanged) {
        dateChanged = newDateChanged;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newDateCreated int
     */
    public void setDateCreated(int newDateCreated) {
        dateCreated = newDateCreated;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newDateDernierChgtStatut int
     */
    public void setDateDernierChgtStatut(int newDateDernierChgtStatut) {
        dateDernierChgtStatut = newDateDernierChgtStatut;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newDateEffet int
     */
    public void setDateEffet(int newDateEffet) {
        dateEffet = newDateEffet;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newDateFabrication int
     */
    public void setDateFabrication(int newDateFabrication) {
        dateFabrication = newDateFabrication;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newFormatDeCarte java.lang.String
     */
    public void setFormatDeCarte(String newFormatDeCarte) {
        formatDeCarte = newFormatDeCarte;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newInternalCardNoImsi java.lang.String
     */
    public void setInternalCardNoImsi(String newInternalCardNoImsi) {
        internalCardNoImsi = newInternalCardNoImsi;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newNoCga int
     */
    public void setNoCga(int newNoCga) {
        noCga = newNoCga;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newNoDeLotDeCarte int
     */
    public void setNoDeLotDeCarte(int newNoDeLotDeCarte) {
        noDeLotDeCarte = newNoDeLotDeCarte;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newNoFichierTransmission int
     */
    public void setNoFichierTransmission(int newNoFichierTransmission) {
        noFichierTransmission = newNoFichierTransmission;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newNoNsc java.lang.String
     */
    public void setNoNsc(String newNoNsc) {
        noNsc = newNoNsc;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newNsce java.lang.String
     */
    public void setNsce(String newNsce) {
        nsce = newNsce;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newOrigineDossier java.lang.String
     */
    public void setOrigineDossier(String newOrigineDossier) {
        origineDossier = newOrigineDossier;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newSalespersonNumber int
     */
    public void setSalespersonNumber(int newSalespersonNumber) {
        salespersonNumber = newSalespersonNumber;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newSecurityLevel int
     */
    public void setSecurityLevel(int newSecurityLevel) {
        securityLevel = newSecurityLevel;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newSpareAlpha java.lang.String
     */
    public void setSpareAlpha(String newSpareAlpha) {
        spareAlpha = newSpareAlpha;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newSpareNumeric int
     */
    public void setSpareNumeric(int newSpareNumeric) {
        spareNumeric = newSpareNumeric;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newSpareStatus java.lang.String
     */
    public void setSpareStatus(String newSpareStatus) {
        spareStatus = newSpareStatus;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newStatutDeCarte java.lang.String
     */
    public void setStatutDeCarte(String newStatutDeCarte) {
        statutDeCarte = newStatutDeCarte;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newTimeChanged int
     */
    public void setTimeChanged(int newTimeChanged) {
        timeChanged = newTimeChanged;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newTimeCreated int
     */
    public void setTimeCreated(int newTimeCreated) {
        timeCreated = newTimeCreated;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newTypeDeCarte java.lang.String
     */
    public void setTypeDeCarte(String newTypeDeCarte) {
        typeDeCarte = newTypeDeCarte;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newZabpq java.lang.String
     */
    public void setZabpq(String newZabpq) {
        zabpq = newZabpq;
    }

    /**
     * /** Insrez la description de la mthode ici. Date de cration : (05/03/02 10:36:46) Auteur : Pascal Nguyen
     * @param: <|>
     * @return: -/
     * @param newZabpqm java.lang.String
     */
    public void setZabpqm(String newZabpqm) {
        zabpqm = newZabpqm;
    }

    public SnsnSubsNetServNumber getSnsnSubsNetServNumber() {
        return snsnSubsNetServNumber;
    }

    public void setSnsnSubsNetServNumber(SnsnSubsNetServNumber snsnSubsNetServNumber) {
        this.snsnSubsNetServNumber = snsnSubsNetServNumber;
    }
}
